Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1511510 - WebAdmin: static content (under /webadmin/theme/00-ovirt.brand/ovirt-js-dependencies/...) does not seem to be cached
Summary: WebAdmin: static content (under /webadmin/theme/00-ovirt.brand/ovirt-js-depen...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: ovirt-4.2.0
: ---
Assignee: Greg Sheremeta
QA Contact: Lucie Leistnerova
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-09 13:41 UTC by Yaniv Kaul
Modified: 2017-12-20 10:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2017-12-20 10:41:23 UTC
oVirt Team: UX
rule-engine: ovirt-4.2+


Attachments (Terms of Use)
fixed (deleted)
2017-11-09 21:04 UTC, Greg Sheremeta
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 83871 master MERGED webadmin: improve caching filter 2017-11-09 20:51:05 UTC
oVirt gerrit 83879 master MERGED engine: add CachingFilter to docs, sso, and welcome apps 2017-11-13 20:33:18 UTC

Description Yaniv Kaul 2017-11-09 13:41:15 UTC
Description of problem:
Looking at /var/log/httpd/ovirt-request-log I see some HTTP requests that I imagine should be cached. Specifically, what seems to me like a static content:
/ovirt-engine/webadmin/theme/00-ovirt.brand/ovirt-js-dependencies/patternfly/dist/fonts/OpenSans-Semibold-webfont.woff2

And such.

Comment 1 Greg Sheremeta 2017-11-09 18:32:03 UTC
Note that the problem exists in the other apps too -- welcome, sso, docs. We'll want all the assets cached across all the apps.

Comment 2 Greg Sheremeta 2017-11-09 21:04:35 UTC
Created attachment 1350125 [details]
fixed

Comment 3 Lucie Leistnerova 2017-11-21 11:15:35 UTC
I did not find any static content that was not cached.

verified in ovirt-engine-webadmin-portal-4.2.0-0.0.master.20171120213546.git5b7a6ed.el7.centos.noarch

Comment 4 Red Hat Bugzilla Rules Engine 2017-11-21 11:15:39 UTC
The documentation text flag should only be set after 'doc text' field is provided. Please provide the documentation text and set the flag to '?' again.

Comment 5 Sandro Bonazzola 2017-12-20 10:41:23 UTC
This bugzilla is included in oVirt 4.2.0 release, published on Dec 20th 2017.

Since the problem described in this bug report should be
resolved in oVirt 4.2.0 release, published on Dec 20th 2017, it has been closed with a resolution of CURRENT RELEASE.

If the solution does not work for you, please open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.